summaryrefslogtreecommitdiffstats
path: root/src/c-ares/travis/test.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-21 11:54:28 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-21 11:54:28 +0000
commite6918187568dbd01842d8d1d2c808ce16a894239 (patch)
tree64f88b554b444a49f656b6c656111a145cbbaa28 /src/c-ares/travis/test.sh
parentInitial commit. (diff)
downloadceph-b26c4052f3542036551aa9dec9caa4226e456195.tar.xz
ceph-b26c4052f3542036551aa9dec9caa4226e456195.zip
Adding upstream version 18.2.2.upstream/18.2.2
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'src/c-ares/travis/test.sh')
-rwxr-xr-xsrc/c-ares/travis/test.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/src/c-ares/travis/test.sh b/src/c-ares/travis/test.sh
new file mode 100755
index 000000000..972d09e77
--- /dev/null
+++ b/src/c-ares/travis/test.sh
@@ -0,0 +1,12 @@
+#!/bin/sh
+set -e
+if [ "$BUILD_TYPE" != "ios" -a "$BUILD_TYPE" != "analyse" -a "$BUILD_TYPE" != "cmake" ]; then
+ $TEST_WRAP ./adig www.google.com
+ $TEST_WRAP ./acountry www.google.com
+ $TEST_WRAP ./ahost www.google.com
+ cd test
+ make
+ $TEST_WRAP ./arestest -v $TEST_FILTER
+ ./fuzzcheck.sh
+ cd ..
+fi